Subject: Re: [PATCH net-next v9 1/7] sched: Add Common Applications Kept Enhanced (cake) qdisc

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Mon, 14 May 2018 11:08:28 +0200

David Miller <[email-masked]> writes:

> From: Toke Høiland-Jørgensen <[email-masked]>
> Date: Tue, 08 May 2018 16:34:19 +0200
>
>> +struct cake_flow {
>> +	/* this stuff is all needed per-flow at dequeue time */
>> +	struct sk_buff	  *head;
>> +	struct sk_buff	  *tail;
>
> Please do not invent your own SKB list handling mechanism.

We didn't invent it, we inherited it from fq_codel. I was actually about
to fix that, but then I noticed it was still around in fq_codel, and so
let it be. I can certainly fix it anyway, but, erm, why is it acceptable
in fq_codel but not in cake? struct sk_buff_head is not that new, is it?

>> +static void cake_heapify(struct cake_sched_data *q, u16 i)
>> +{
>> +	static const u32 a = CAKE_MAX_TINS * CAKE_QUEUES;
>> +	u32 m = i;
>> +	u32 mb = cake_heap_get_backlog(q, m);
>
> Please order local variables from longest to shortest line.
>
> The entire submissions has this problem all over the place, please
> correct it patch-series wide.

Right-oh, one plantation of reverse christmas trees coming right up :)

-Toke